import type { NobjcObject } from "objc-js";
import type { _NSView } from "../AppKit/NSView.js";
import type { _AUCustomViewPersistentData } from "./AUCustomViewPersistentData.js";
import type { AUGenericViewDisplayFlags } from "./AUGenericViewDisplayFlags.js";
export declare class _AUGenericView extends _NSView {
    static alloc(): _AUGenericView;
    static new(): _AUGenericView;
    init(): _AUGenericView;
    /**
     * initializer used to create the view for a specific audio unit The Audio Unit associated with the view Returns the newly created view object
     */
    initWithAudioUnit$(au: NobjcObject): _AUGenericView;
    /**
     * initializer used to create the view for a specific audio unit with a parameter for view flags The Audio Unit associated with the view The flags specifying display properties (multiple flags can be combined using the or '|' operator) Returns the newly created view object
     */
    initWithAudioUnit$displayFlags$(inAudioUnit: NobjcObject, inFlags: AUGenericViewDisplayFlags): _AUGenericView;
    /**
     * Read-only property for the audio unit associated with the view The audio unit associated with the generic view
     */
    audioUnit(): NobjcObject;
    /**
     * Property for getting and setting whether the view is displaying expert parameters or not
     */
    showsExpertParameters(): boolean;
    setShowsExpertParameters$(value: boolean): void;
}
export interface _AUGenericView extends _AUCustomViewPersistentData {
}
